Skip to navigation

Get conversation with messages

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

idstringRequired

Response

Conversation detail
createdAtstring
idstring
messageslist of objects
metadatamap from strings to any
modelIdstring or null
ownerIdstring or null
sourceenum
Allowed values:
systemPromptstring or null
titlestring
updatedAtstring
importedbooleanOptional

Set by POST /v1/conversations only. True when this call created the conversation (201); false when a conversation with the same source.system and source.externalId already existed and is returned unchanged (200).

schemaWarningslist of objectsOptional

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error